downgrading to 9.3 or 9.2?

fenix66fenix66 Member Posts: 59
edited November -1 in Tech Support
Is there any way to downgrade 9.4 to 9.3 or 9.2?
I know that with older versions I'm unable to publish but I can at least use GS viewer to test on devices until some fix come out, which is impossible on 9.4 because it crashes apps.

Comments

  • jonmulcahyjonmulcahy Member, Sous Chef, PRO Posts: 10,385
    you probably have some bad logic in your game. I just spent last night adding gamecenter to a bunch of my apps, 7 of them, originally made with versions of GS going back to .5/.6 and I have not had a problem with a single one of them.
  • ozboybrianozboybrian PRO Posts: 2,102
    You can get it out of your trash.

    P.S If it's on 9.2 or 9.3 file originally you'll have to make it all over to get it work on 9.4.
    But it's kinda a good thing cause you know what you're doing and you'll be more proficient this time.
  • fenix66fenix66 Member Posts: 59
    I don't think it's the problem with the logic.
    I started my app in9.2/9.3 and finished it with 9.4 everything works ok on computer but when I want to test it on Ipad GS Viewer 9.4 crashed after first scene. So i think it's the problem with GS viewer 9.4.
    Also I have noticed that 9.4 consumes a lot more RAM than previous versions, so maybe this is the problem.
  • tenrdrmertenrdrmer Member, Sous Chef, Senior Sous-Chef Posts: 9,934
    ozboybrian said:
    P.S If it's on 9.2 or 9.3 file originally you'll have to make it all over to get it work on 9.4.

    That is completely false and you should not be telling people that. I have several projects I have been working on with every update since 0.8.8 They work just fine.

    @fenix66
    Your problems are almost certainly a problem with the logic you have setup. The Creator as well as the viewer and build crash when you have rules that are contradicting each other or overloading everything at the same time. It's easy to miss little things and even easier to blame the SDK for the issue.
  • fenix66fenix66 Member Posts: 59
    Maybe you are right, but why it works on 9.3 and crash on 9.4?
    If the logic is bad it should not work on any version.
  • tenrdrmertenrdrmer Member, Sous Chef, Senior Sous-Chef Posts: 9,934
    Not true improvements to gameSalad may have closed holes where bad logic still functioned. Theres no telling. If you truly believe 0.9.4 has broken your project and there is nothing at all wrong with it GameSalad has an email you can send the project to bugs(at)gamesalad.com So they will look at it and try to confirm if its a bug or issue with GameSalad or not.
Sign In or Register to comment.